Bug 993170 - python-stevedore: FTBFS in rawhide
python-stevedore: FTBFS in rawhide
Product: Fedora
Classification: Fedora
Component: python-stevedore (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
Reported: 2013-08-05 12:51 EDT by Dennis Gilmore
Modified: 2013-11-11 05:43 EST (History)
3 users (show)

See Also:
Fixed In Version: python-stevedore-0.12-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-11 05:43:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 12:51:16 EDT
Your package python-stevedore failed to build from source in current rawhide.


For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Matthias Runge 2013-08-06 05:39:14 EDT
From build log:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.KA7vSD
+ umask 022
+ cd /builddir/build/BUILD
+ cd stevedore-0.8
+ /usr/bin/python setup.py build
Downloading http://pypi.python.org/packages/source/d/distribute/distribute-0.6.10.tar.gz
Traceback (most recent call last):
  File "setup.py", line 5, in <module>
  File "/builddir/build/BUILD/stevedore-0.8/distribute_setup.py", line 145, in use_setuptools
    return _do_download(version, download_base, to_dir, download_delay)
  File "/builddir/build/BUILD/stevedore-0.8/distribute_setup.py", line 124, in _do_download
    to_dir, download_delay)
  File "/builddir/build/BUILD/stevedore-0.8/distribute_setup.py", line 193, in download_setuptools

This looks for me like a missing build requirement.
Comment 2 Fedora End Of Life 2013-09-16 11:53:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.